/*
	ASCII MSX2 with DEMPA Sensor Kid Emulator 'yayaMSX2SK'

	Author : umaiboux
	Date   : 2014.12.xx-

	[ Sensor Kid ]
*/

#ifndef _SENSORKID_H_
#define _SENSORKID_H_

#include "../vm.h"
#include "../../emu.h"
#include "../device.h"

class SENSORKID : public DEVICE
{
private:
	uint8 ls373_q;
	uint8 mb4052_ana;
	uint8 mb4052_count;
	cur_time_t t0;
	uint8 analog[4];

	uint8 get_analog(uint8 chi);
	void put_port(uint8 data, uint8 old);

public:
	SENSORKID(VM* parent_vm, EMU* parent_emu);
	~SENSORKID() {}
	
	// common functions
	void write_io8(uint32 addr, uint32 data);
	uint32 read_io8(uint32 addr);
	
	// unique functions
};

#endif

